import Request from '@/utils/request/request-util';

/**
 * low_code -表单模板api
 *
 */
export class TemplateManagerApi {
  /**
   * 添加
   * @param {*} params
   * @returns
   */
  static add(params) {
    return Request.post('/formTemplate/add', params);
  }

  /**
   * 编辑
   * @param {*} params
   * @returns
   */
  static edit(params) {
    return Request.post('/formTemplate/edit', params);
  }

  /**
   * 删除单个
   * @param {*} params
   * @returns
   */
  static delete(params) {
    return Request.post('/formTemplate/delete', params);
  }

  /**
   * 详情
   * @param {*} params
   * @returns
   */
  static detail(params) {
    return Request.getAndLoadData('/formTemplate/detail', params);
  }

  /**
   * 列表
   * @param {*} params
   * @returns
   */
  static list(params) {
    return Request.getAndLoadData('/formTemplate/list', params);
  }

  /**
   * 分页列表
   * @param {*} params
   * @returns
   */
  static page(params) {
    return Request.getAndLoadData('/formTemplate/page', params);
  }
}
